V1PlatformReports
Reports queue: oldest first, child safety first
Open (including escalated) or resolved reports about profiles, clubs, events and challenges, filtered by reason and target. Shows the reported thing's public name or title, the report's age against the 24 hour response target, and an opaque reporter reference. Never a reading, a record or an account id.
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
state?string
Default
"open"Value in
- "open"
- "resolved"
- "all"
reason?string
Value in
- "spam"
- "harassment"
- "unsafe"
- "privacy"
- "cheating"
- "child_safety"
- "other"
targetKind?string
Value in
- "profile"
- "club"
- "event"
- "challenge"
- "other"
cursor?string
Match
^[0-9]:\d{4}-\d{2}-\d{2}T[0-9:.]+Z:[0-9a-f-]{36}$limit?integer
Range
1 <= value <= 50Default
25Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/platform/reports"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reason": "spam", "priority": true, "targetKind": "profile", "state": "open", "reporterRef": "string", "createdAt": "2019-08-24T14:15:22Z", "ageHours": 0, "overdue": true, "lastAction": { "action": "dismiss", "at": "2019-08-24T14:15:22Z" }, "summary": "string", "hasNote": true } ], "nextCursor": "string", "responseTargetHours": 24}